Index: Makefile
===================================================================
--- Makefile	(revision 4d642a0f0e4d52f7b42157ea68dfa575f66d2485)
+++ Makefile	(revision e51bc974be8dda9098762cc7e866673ca4c35558)
@@ -63,5 +63,4 @@
 LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-get-file.c
 LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-init.c
-LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-init-with-irq.c
 LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-jail.c
 LIB_C_FILES += rtemsbsd/rtems/rtems-bsd-kern_synch.c
Index: freebsd-to-rtems.py
===================================================================
--- freebsd-to-rtems.py	(revision 4d642a0f0e4d52f7b42157ea68dfa575f66d2485)
+++ freebsd-to-rtems.py	(revision e51bc974be8dda9098762cc7e866673ca4c35558)
@@ -653,5 +653,4 @@
 		'rtems/rtems-bsd-get-file.c',
 		'rtems/rtems-bsd-init.c',
-		'rtems/rtems-bsd-init-with-irq.c',
 		'rtems/rtems-bsd-jail.c',
 		'rtems/rtems-bsd-kern_synch.c',
Index: rtemsbsd/include/rtems/bsd/bsd.h
===================================================================
--- rtemsbsd/include/rtems/bsd/bsd.h	(revision 4d642a0f0e4d52f7b42157ea68dfa575f66d2485)
+++ rtemsbsd/include/rtems/bsd/bsd.h	(revision e51bc974be8dda9098762cc7e866673ca4c35558)
@@ -71,6 +71,4 @@
 rtems_status_code rtems_bsd_initialize(void);
 
-rtems_status_code rtems_bsd_initialize_with_interrupt_server(void);
-
 void rtems_bsd_shell_initialize(void);
 
Index: emsbsd/rtems/rtems-bsd-init-with-irq.c
===================================================================
--- rtemsbsd/rtems/rtems-bsd-init-with-irq.c	(revision 4d642a0f0e4d52f7b42157ea68dfa575f66d2485)
+++ 	(revision )
@@ -1,64 +1,0 @@
-/**
- * @file
- *
- * @ingroup rtems_bsd_rtems
- *
- * @brief TODO.
- */
-
-/*
- * Copyright (c) 2009-2013 embedded brains GmbH.  All rights reserved.
- *
- *  embedded brains GmbH
- *  Dornierstr. 4
- *  82178 Puchheim
- *  Germany
- *  <rtems@embedded-brains.de>
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in the
- *    documentation and/or other materials provided with the distribution.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
- * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
- * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
- * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
- * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
- * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
- * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
- * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
- * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
- * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- */
-
-#include <machine/rtems-bsd-kernel-space.h>
-#include <machine/rtems-bsd-thread.h>
-
-#include <rtems/irq-extension.h>
-
-#include <rtems/bsd/bsd.h>
-
-rtems_status_code
-rtems_bsd_initialize_with_interrupt_server(void)
-{
-	rtems_status_code sc = RTEMS_SUCCESSFUL;
-
-	sc = rtems_interrupt_server_initialize(
-		BSD_TASK_PRIORITY_INTERRUPT,
-		BSD_MINIMUM_TASK_STACK_SIZE,
-		RTEMS_DEFAULT_MODES,
-		RTEMS_DEFAULT_ATTRIBUTES,
-		NULL
-	);
-	if (sc != RTEMS_SUCCESSFUL) {
-		return RTEMS_UNSATISFIED;
-	}
-
-	return rtems_bsd_initialize();
-}
Index: rtemsbsd/rtems/rtems-bsd-nexus.c
===================================================================
--- rtemsbsd/rtems/rtems-bsd-nexus.c	(revision 4d642a0f0e4d52f7b42157ea68dfa575f66d2485)
+++ rtemsbsd/rtems/rtems-bsd-nexus.c	(revision e51bc974be8dda9098762cc7e866673ca4c35558)
@@ -39,4 +39,5 @@
 
 #include <machine/rtems-bsd-kernel-space.h>
+#include <machine/rtems-bsd-thread.h>
 
 #include <rtems/bsd/sys/param.h>
@@ -63,8 +64,18 @@
 nexus_probe(device_t dev)
 {
+	rtems_status_code status;
 	int err;
 	size_t i;
 
 	device_set_desc(dev, "RTEMS Nexus device");
+
+	status = rtems_interrupt_server_initialize(
+		BSD_TASK_PRIORITY_INTERRUPT,
+		BSD_MINIMUM_TASK_STACK_SIZE,
+		RTEMS_DEFAULT_MODES,
+		RTEMS_DEFAULT_ATTRIBUTES,
+		NULL
+	);
+	BSD_ASSERT(status == RTEMS_SUCCESSFUL);
 
 	mem_rman.rm_start = 0;
Index: testsuite/include/rtems/bsd/test/default-init.h
===================================================================
--- testsuite/include/rtems/bsd/test/default-init.h	(revision 4d642a0f0e4d52f7b42157ea68dfa575f66d2485)
+++ testsuite/include/rtems/bsd/test/default-init.h	(revision e51bc974be8dda9098762cc7e866673ca4c35558)
@@ -52,5 +52,5 @@
   default_set_self_prio( RTEMS_MAXIMUM_PRIORITY - 1 );
 
-  rtems_bsd_initialize_with_interrupt_server();
+  rtems_bsd_initialize();
 
   /* Let the callout timer allocate its resources */
Index: testsuite/include/rtems/bsd/test/default-network-init.h
===================================================================
--- testsuite/include/rtems/bsd/test/default-network-init.h	(revision 4d642a0f0e4d52f7b42157ea68dfa575f66d2485)
+++ testsuite/include/rtems/bsd/test/default-network-init.h	(revision e51bc974be8dda9098762cc7e866673ca4c35558)
@@ -152,5 +152,5 @@
 	default_network_set_self_prio(RTEMS_MAXIMUM_PRIORITY - 1);
 
-	rtems_bsd_initialize_with_interrupt_server();
+	rtems_bsd_initialize();
 
 	/* Let the callout timer allocate its resources */
Index: testsuite/usb01/init.c
===================================================================
--- testsuite/usb01/init.c	(revision 4d642a0f0e4d52f7b42157ea68dfa575f66d2485)
+++ testsuite/usb01/init.c	(revision e51bc974be8dda9098762cc7e866673ca4c35558)
@@ -260,5 +260,5 @@
   ASSERT_SC(sc);
 
-  sc = rtems_bsd_initialize_with_interrupt_server();
+  sc = rtems_bsd_initialize();
   ASSERT_SC(sc);
 
